aboutsummaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorJohn P. Davis <zhen@gentoo.org>2004-10-12 18:01:22 +0000
committerJohn P. Davis <zhen@gentoo.org>2004-10-12 18:01:22 +0000
commit298d4f8e12d779cd61be558a4812b3337d5c28fe (patch)
tree7f94d24e96cae460cccb0187b4841ae36f0da42a /targets
parentsmall netbook fixups (diff)
downloadcatalyst-298d4f8e12d779cd61be558a4812b3337d5c28fe.tar.gz
catalyst-298d4f8e12d779cd61be558a4812b3337d5c28fe.tar.bz2
catalyst-298d4f8e12d779cd61be558a4812b3337d5c28fe.zip
multiple bugfixes, check changelog
git-svn-id: svn+ssh://svn.gentoo.org/var/svnroot/catalyst/trunk@458 d1e1f19c-881f-0410-ab34-b69fee027534
Diffstat (limited to 'targets')
-rw-r--r--targets/embedded/cramfs-runscript.sh4
-rwxr-xr-xtargets/embedded/embedded-chroot.sh4
-rw-r--r--targets/embedded/unmerge.sh7
-rwxr-xr-xtargets/grp/grp-chroot.sh6
-rwxr-xr-xtargets/livecd-stage1/livecd-stage1-chroot.sh4
-rw-r--r--targets/netboot/netboot.sh4
-rwxr-xr-xtargets/stage1/stage1-chroot.sh9
-rwxr-xr-xtargets/stage3/stage3-chroot.sh4
8 files changed, 23 insertions, 19 deletions
diff --git a/targets/embedded/cramfs-runscript.sh b/targets/embedded/cramfs-runscript.sh
index 46a516b7..897963b4 100644
--- a/targets/embedded/cramfs-runscript.sh
+++ b/targets/embedded/cramfs-runscript.sh
@@ -11,10 +11,6 @@ die() {
case $1 in
run)
- # move this to preclean stage
- # it's a hack because dhcpcd is lame
- install -d $root_fs_path/var/lib/dhcpc
-
install -d $clst_image_path
mkcramfs $root_fs_path $clst_image_path/root.img
imagesize=`du -sk $clst_image_path/root.img | cut -f1`
diff --git a/targets/embedded/embedded-chroot.sh b/targets/embedded/embedded-chroot.sh
index fb4bd800..590fab18 100755
--- a/targets/embedded/embedded-chroot.sh
+++ b/targets/embedded/embedded-chroot.sh
@@ -1,7 +1,7 @@
#!/bin/bash
# Copyright 1999-2003 Gentoo Technologies, Inc.
# Distributed under the terms of the GNU General Public License v2
-# $Header: /var/cvsroot/gentoo/src/catalyst/targets/embedded/embedded-chroot.sh,v 1.8 2004/10/05 13:22:06 zhen Exp $
+# $Header: /var/cvsroot/gentoo/src/catalyst/targets/embedded/embedded-chroot.sh,v 1.9 2004/10/12 18:01:22 zhen Exp $
/usr/sbin/env-update
source /etc/profile
@@ -24,7 +24,7 @@ fi
if [ -n "${clst_PKGCACHE}" ]
then
- export clst_myemergeopts="--usepkg --buildpkg"
+ export clst_myemergeopts="--usepkg --buildpkg --newuse"
fi
# setup the environment
diff --git a/targets/embedded/unmerge.sh b/targets/embedded/unmerge.sh
new file mode 100644
index 00000000..90844531
--- /dev/null
+++ b/targets/embedded/unmerge.sh
@@ -0,0 +1,7 @@
+# Copyright 1999-2004 Gentoo Technologies, Inc.
+# Distributed under the terms of the GNU General Public License v2
+# $Header: /var/cvsroot/gentoo/src/catalyst/targets/embedded/unmerge.sh,v 1.1 2004/10/12 18:01:22 zhen Exp $
+
+${clst_CHROOT} ${clst_chroot_path} /bin/bash << EOF
+ ROOT=/tmp/mergeroot emerge -C $* || exit 1
+EOF
diff --git a/targets/grp/grp-chroot.sh b/targets/grp/grp-chroot.sh
index 59c1578d..2cc110b7 100755
--- a/targets/grp/grp-chroot.sh
+++ b/targets/grp/grp-chroot.sh
@@ -1,7 +1,7 @@
#!/bin/bash
# Copyright 1999-2003 Gentoo Technologies, Inc.
# Distributed under the terms of the GNU General Public License v2
-# $Header: /var/cvsroot/gentoo/src/catalyst/targets/grp/grp-chroot.sh,v 1.8 2004/10/05 13:22:06 zhen Exp $
+# $Header: /var/cvsroot/gentoo/src/catalyst/targets/grp/grp-chroot.sh,v 1.9 2004/10/12 18:01:22 zhen Exp $
/usr/sbin/env-update
source /etc/profile
@@ -39,11 +39,11 @@ then
if [ -n "${clst_VERBOSE}" ]
then
- emerge --usepkg --buildpkg --noreplace -vp ${clst_grp_packages} || exit 1
+ emerge --usepkg --buildpkg --noreplace --newuse -vp ${clst_grp_packages} || exit 1
sleep 15
fi
- emerge --usepkg --buildpkg --noreplace ${clst_grp_packages} || exit 1
+ emerge --usepkg --buildpkg --noreplace --newuse ${clst_grp_packages} || exit 1
else
unset DISTDIR
#don't grab MS core fonts, etc.
diff --git a/targets/livecd-stage1/livecd-stage1-chroot.sh b/targets/livecd-stage1/livecd-stage1-chroot.sh
index a4be0add..63ba8642 100755
--- a/targets/livecd-stage1/livecd-stage1-chroot.sh
+++ b/targets/livecd-stage1/livecd-stage1-chroot.sh
@@ -1,7 +1,7 @@
#!/bin/bash
# Copyright 1999-2003 Gentoo Technologies, Inc.
# Distributed under the terms of the GNU General Public License v2
-# $Header: /var/cvsroot/gentoo/src/catalyst/targets/livecd-stage1/livecd-stage1-chroot.sh,v 1.7 2004/10/05 13:22:06 zhen Exp $
+# $Header: /var/cvsroot/gentoo/src/catalyst/targets/livecd-stage1/livecd-stage1-chroot.sh,v 1.8 2004/10/12 18:01:22 zhen Exp $
/usr/sbin/env-update
source /etc/profile
@@ -24,7 +24,7 @@ fi
if [ -n "${clst_PKGCACHE}" ]
then
- clst_emergeopts="--usepkg --buildpkg"
+ clst_emergeopts="--usepkg --buildpkg --newuse"
else
clst_emergeopts=""
fi
diff --git a/targets/netboot/netboot.sh b/targets/netboot/netboot.sh
index cb730382..14a7026f 100644
--- a/targets/netboot/netboot.sh
+++ b/targets/netboot/netboot.sh
@@ -1,7 +1,7 @@
#!/bin/bash
# Copyright 1999-2004 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
-# $Header: /var/cvsroot/gentoo/src/catalyst/targets/netboot/Attic/netboot.sh,v 1.4 2004/10/11 15:54:48 zhen Exp $
+# $Header: /var/cvsroot/gentoo/src/catalyst/targets/netboot/Attic/netboot.sh,v 1.5 2004/10/12 18:01:22 zhen Exp $
export GK_BINARIES=/var/tmp/gk_binaries
export IMAGE_PATH=/tmp/image
@@ -17,7 +17,7 @@ then
fi
if [ -n "${clst_PKGCACHE}" ]
then
- export clst_myemergeopts="${clst_myemergeopts} --usepkg --buildpkg"
+ export clst_myemergeopts="${clst_myemergeopts} --usepkg --buildpkg --newuse"
fi
scriptdir=${clst_sharedir}/targets/netboot
diff --git a/targets/stage1/stage1-chroot.sh b/targets/stage1/stage1-chroot.sh
index 0b64d1a4..0f394b17 100755
--- a/targets/stage1/stage1-chroot.sh
+++ b/targets/stage1/stage1-chroot.sh
@@ -1,7 +1,7 @@
#!/bin/bash
# Copyright 1999-2004 Gentoo Technologies, Inc.
# Distributed under the terms of the GNU General Public License v2
-# $Header: /var/cvsroot/gentoo/src/catalyst/targets/stage1/stage1-chroot.sh,v 1.22 2004/10/05 13:22:06 zhen Exp $
+# $Header: /var/cvsroot/gentoo/src/catalyst/targets/stage1/stage1-chroot.sh,v 1.23 2004/10/12 18:01:22 zhen Exp $
/usr/sbin/env-update
source /etc/profile
@@ -24,7 +24,7 @@ fi
if [ -n "${clst_PKGCACHE}" ]
then
- export clst_myemergeopts="${clst_myemergeopts} --usepkg --buildpkg"
+ export clst_myemergeopts="${clst_myemergeopts} --usepkg --buildpkg --newuse"
fi
# setup our environment
@@ -36,7 +36,8 @@ install -d ${ROOT}
export clst_buildpkgs="$(/tmp/build.py)"
STAGE1_USE="$(source /etc/make.profile/make.defaults ; echo ${STAGE1_USE})"
-USE="-* build ${STAGE1_USE}" emerge ${clst_myemergeopts} --noreplace ${clst_buildpkgs} || exit 1
+# duplicate line to below - why is this here??
+#USE="-* build ${STAGE1_USE}" emerge ${clst_myemergeopts} --noreplace ${clst_buildpkgs} || exit 1
if [ -n "${clst_VERBOSE}" ]
then
@@ -44,4 +45,4 @@ then
sleep 15
fi
-USE="-* build" emerge ${clst_myemergeopts} --noreplace ${clst_buildpkgs} || exit 1
+USE="-* build ${STAGE1_USE}" emerge ${clst_myemergeopts} --noreplace ${clst_buildpkgs} || exit 1
diff --git a/targets/stage3/stage3-chroot.sh b/targets/stage3/stage3-chroot.sh
index 7949ef7d..767c28c7 100755
--- a/targets/stage3/stage3-chroot.sh
+++ b/targets/stage3/stage3-chroot.sh
@@ -1,7 +1,7 @@
#!/bin/bash
# Copyright 1999-2003 Gentoo Technologies, Inc.
# Distributed under the terms of the GNU General Public License v2
-# $Header: /var/cvsroot/gentoo/src/catalyst/targets/stage3/stage3-chroot.sh,v 1.10 2004/10/05 13:22:07 zhen Exp $
+# $Header: /var/cvsroot/gentoo/src/catalyst/targets/stage3/stage3-chroot.sh,v 1.11 2004/10/12 18:01:22 zhen Exp $
/usr/sbin/env-update
source /etc/profile
@@ -24,7 +24,7 @@ fi
if [ -n "${clst_PKGCACHE}" ]
then
- export clst_myemergeopts="${clst_myemergeopts} --usepkg --buildpkg"
+ export clst_myemergeopts="${clst_myemergeopts} --usepkg --buildpkg --newuse"
fi
GRP_STAGE23_USE="$(source /etc/make.profile/make.defaults ; echo ${GRP_STAGE23_USE})"